### Name: vh.get.data.frame
### Title: Get data from Vhayu.
### Aliases: vh.get.data.frame vh.get.zoo vh.tail1
### Keywords: ts

### ** Examples

## Not run: 
##D vh.flexrecdef() # check which flex record definitions are available
##D vh.flexrecdef("VhTrade") # view definition for VhTrade
##D 
##D goog.df <- vh.get.data.frame("GOOG", 
##D         frDef = "VhTrade",  
##D         startTime = "20051201 09:30:00", 
##D         endTime = "20051201 16:00:00", 
##D         fieldNames = "VhExchgTime VhPrice",
##D         FUN = as.chron)
##D 
##D goog.zoo <- vh.get.zoo("GOOG", 
##D         frDef = "VhTrade",  
##D         startTime = "20051201 09:30:00", 
##D         endTime = "20051201 16:00:00", 
##D         fieldNames = "VhExchgTime VhPrice",
##D         FUN = as.chron,
##D         aggregate = vh.tail1)
##D 
##D ## same but set arguments through options
##D ## We have also set the format option which is not application and ignored.
##D 
##D vh.options(frDef = "VhTrade",  
##D         startTime = "20051201 09:30:00", 
##D         endTime = "20051201 16:00:00", 
##D         fieldNames = "VhExchgTime VhPrice",
##D         FUN = as.chron,
##D         aggregate = vh.tail1,
##D         format = "%Y%m%d")
##D 
##D # Assume there is a csv formatted file called GOOG.csv
##D # with yyyymmdd dates and assume the vh.options is still as above.
##D # Since only options format, FUN and aggregate 
##D # apply to read.zoo only those will be used.
##D # Thus by setting options appropriate the same script may work
##D # with files and Vhayu.
##D vh.options(demo = TRUE)
##D goog.file <- goog <- vh.get.zoo("GOOG")
##D 
## End(Not run)



